Skip to main content
PATCH
/
projects
/
{project_reference}
/
triggers
/
{trigger_id}
Update Project Trigger
curl --request PATCH \
  --url https://api.veryfront.com/projects/{project_reference}/triggers/{trigger_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "agent_id": "<string>",
  "prompt_template": "<string>",
  "sample_payload": null,
  "status": "draft"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "source": "webhook",
  "agent_id": "<string>",
  "prompt_template": "<string>",
  "status": "draft",
  "webhook_id": "<string>",
  "webhook_url": "<string>",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_successful_test_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "enabled_at": "<string>",
  "disabled_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "sample_payload": null
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1
trigger_id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
agent_id
string
Required string length: 1 - 128
prompt_template
string
Required string length: 1 - 20000
sample_payload
unknown
status
enum<string>
Available options:
draft,
enabled,
disabled

Response

Updated trigger

id
string<uuid>
required
project_id
string<uuid>
required
name
string
required
source
enum<string>
required
Available options:
webhook
agent_id
string
required
prompt_template
string
required
status
enum<string>
required
Available options:
draft,
enabled,
disabled
webhook_id
string
required
webhook_url
string
required
created_by_user_id
string<uuid>
required
last_successful_test_event_id
string<uuid> | null
required
enabled_at
string | null
required
disabled_at
string | null
required
created_at
string
required
updated_at
string
required
sample_payload
unknown